You are not logged in.

#1 2017-12-22 21:44

JimW
Member
Registered: 2015-12-08
Posts: 302

Updater error in Scorpion

Updater just informed me that I had 4 critical updates. When I tried to install them I got a crash report. Looking at the "backtrace" it gives the error that "gdb" not found. Can't remember what these updates were for, but I think something about cmail?
Do I need to install gdb?

I've had this happen several times since updating to Scorpion. Sometimes I can go to synaptic, reload, apply and it will install the updates, but sometimes there are none found and I can only assume that updater did in fact finish before the error.

Offline

#2 2017-12-22 22:25

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,927
Website

Re: Updater error in Scorpion

Please run in terminal:
$ qrepolist
$ sudo apt-get update
$ sudo apt-get dist-upgrade
and attach output here to analyze.

Has anyone else noticed this issue ?

Offline

#3 2017-12-22 23:14

crosscourt
Member
Registered: 2017-05-07
Posts: 1,475

Re: Updater error in Scorpion

Havent had any issues with updating while using Scorpion.

Offline

#4 2017-12-22 23:44

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

repolist
deb http://q4os.org/q4repo q4os-1-0-cn main
deb http://q4os.org/q4repo q4os-2-0-cn main
deb http://q4os.org/qtderepo stretch main
deb http://ftp.debian.org/debian/ stretch main contrib non-free
deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
deb http://ftp.debian.org/debian/ stretch-updates main contrib non-free
deb http://www.deb-multimedia.org stretch main non-free
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
deb http://download.virtualbox.org/virtualbox/debian stretch contrib non-free
deb http://www.q4os.org/qextrepo stretch-firefox-cn main


update
sudo apt-get update
Hit:1 http://download.virtualbox.org/virtualbox/debian stretch InRelease
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://security.debian.org/debian-security stretch/updates InRelease
Hit:4 http://dl.google.com/linux/chrome/deb stable Release
Hit:5 http://www.deb-multimedia.org stretch InRelease
Ign:6 http://ftp.debian.org/debian stretch InRelease
Hit:8 http://q4os.org/q4repo q4os-1-0-cn InRelease
Hit:9 http://www.q4os.org/qextrepo stretch-firefox-cn InRelease
Hit:10 http://ftp.debian.org/debian stretch-updates InRelease
Hit:11 http://q4os.org/q4repo q4os-2-0-cn InRelease
Hit:12 http://ftp.debian.org/debian stretch Release
Hit:13 http://q4os.org/qtderepo stretch InRelease
Reading package lists... Done


upgrade
sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libbcmail-java libbcpkix-java libbcprov-java sensible-utils
4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 4,514 kB of archives.
After this operation, 49.2 kB disk space will be freed.
Do you want to continue? [Y/n] y
Get:1 http://security.debian.org/debian-security stretch/updates/main amd64 sensible-utils all 0.0.9+deb9u1 [10.8 kB]
Get:2 http://security.debian.org/debian-security stretch/updates/main amd64 libbcprov-java all 1.56-1+deb9u1 [3,637 kB]
Get:3 http://security.debian.org/debian-security stretch/updates/main amd64 libbcpkix-java all 1.56-1+deb9u1 [715 kB]
Get:4 http://security.debian.org/debian-security stretch/updates/main amd64 libbcmail-java all 1.56-1+deb9u1 [152 kB]
Fetched 4,514 kB in 21s (212 kB/s)
(Reading database ... 211444 files and directories currently installed.)
Preparing to unpack .../sensible-utils_0.0.9+deb9u1_all.deb ...
Unpacking sensible-utils (0.0.9+deb9u1) over (0.0.9) ...
Setting up sensible-utils (0.0.9+deb9u1) ...
(Reading database ... 211444 files and directories currently installed.)
Preparing to unpack .../libbcprov-java_1.56-1+deb9u1_all.deb ...
Unpacking libbcprov-java (1.56-1+deb9u1) over (1.56-1) ...
Preparing to unpack .../libbcpkix-java_1.56-1+deb9u1_all.deb ...
Unpacking libbcpkix-java (1.56-1+deb9u1) over (1.56-1) ...
Preparing to unpack .../libbcmail-java_1.56-1+deb9u1_all.deb ...
Unpacking libbcmail-java (1.56-1+deb9u1) over (1.56-1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libbcprov-java (1.56-1+deb9u1) ...
Setting up libbcpkix-java (1.56-1+deb9u1) ...
Setting up libbcmail-java (1.56-1+deb9u1) ...

------------------
edit to add -
Since the original error today I have had a power outage (thunderstorms), so the computer has been rebooted. However, the task tray is currently showing 4 important software updates available. I have not done them as yet.

Last edited by JimW (2017-12-22 23:49)

Offline

#5 2017-12-22 23:46

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

CC
That's why I posted. I knew there should be no problems. The first few times I thought that maybe there was noise on the DSL line. Sometimes it works fine, and other times it gives an error. Unfortunately, it does not ask if I would like to retry!

Offline

#6 2017-12-23 01:16

crosscourt
Member
Registered: 2017-05-07
Posts: 1,475

Re: Updater error in Scorpion

Something was looking for gdb(GNU debugger) and didnt find it. I dont have gdb(not installed by default) installed and havent had any issues.  Ive literally never had any errors with updates, very reliable.

I use Synaptic most of the time but do install thru the updater as well.  Dont use terminal too often but didnt see anything odd in the above posts.  Maybe Dai,bin or tlmiller will spot something I missed.  Devs can look thru this and maybe have some suggestions.

Ive used both DSL and cable with my systems and havent had any connection problems.  The only time Ive ever had issues is when ive used compression or download managers where things can get a bit crazy. Ive had instances where during storms I was trying to finish a download and update in Windows and the system went down and corrupted the files. Had to clean that up and redo.

Last edited by crosscourt (2017-12-23 01:21)

Offline

#7 2017-12-23 01:54

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

I agree CC. I normally do not have any problems with updates, and can do them either through synaptic or command line. Just thought that if I were getting these errors then the devs may want to check it out. If they need me to install gdb I will and post the results the next time I get the error. I will try to grab a screen shot also.
I've had two more power failures since I posted the previous post (#5) and the updater notifications is no longer showing.

Ummm... make that 3 power failures! Had another just as I was about to [Submit] this post! LOL

It is about 18:50 local time, I think I'm going to shut down for the night. I seldom do that, but this storm seems to be messing with the electricity!

Offline

#8 2017-12-23 02:21

crosscourt
Member
Registered: 2017-05-07
Posts: 1,475

Re: Updater error in Scorpion

The updater notification if you dont do anything eventually fades but will come back later, typically after you reboot.

The storms may be the issue and definitely turn off your pc till the storms pass, hope you have a good surge suppressor installed.

Last edited by crosscourt (2017-12-23 02:24)

Offline

#9 2017-12-23 02:24

q4osteam
Q4OS Team
Registered: 2015-12-06
Posts: 1,927
Website

Re: Updater error in Scorpion

JimW wrote:

I agree CC. I normally do not have any problems with updates, and can do them either through synaptic or command line. Just thought that if I were getting these errors then the devs may want to check it out. If they need me to install gdb I will and post the results the next time I get the error. I will try to grab a screen shot also.

The commandline output looks quite well, no errors. Do not install gdb, it's not needed. It would be helpful to post a screenshot the next time the error will occur. Thanks for reporting.

Offline

#10 2017-12-23 07:45

bin
Member
From: U.K.
Registered: 2016-01-28
Posts: 570

Re: Updater error in Scorpion

I must admit I'm no fan of system-tray updater tools preferring unattended-upgrades and the occasional terminal session.

The system is up to date so if the tool is still showing these items outstanding then it is clearly not talking to the system properly.

You say you upgraded to Scorpion - did you keep your /home intact or was it a fresh install and then copy in data. What I'm wondering is whether you kept a previous config file(s) for Updater from Orion and that is messing stuff up.

Perhaps the dev team could please advise the various locations in /home where config files for this app would live. I'm also wondering if there's something left in ./cache or local tmp that may be messing with this.

Offline

#11 2017-12-23 08:34

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Updater error in Scorpion

I use my apt-updater and have had no problems with it, and I have gdb installed in this machine.

Offline

#12 2017-12-23 09:12

jackdanielsesq
Member
From: Phuket
Registered: 2017-12-19
Posts: 131

Re: Updater error in Scorpion

Hi there ...

Yessir .. yesterday ... had 4x java updates ... was messing with 'Discover' in KDE5 ... installed without issue.

Later when using Synaptic, had errors ... fixed via terminal ... dont remember the output, but have had several
more Synaptic issues since then .... all peacefully resolved, thank you ... at least your terminal works - 100%
of the time ... others not so much ... in fairness, mine could have been a weather/noise issue because this
puppy is stable, and bullet-proof ... and beautiful ... will post more on that later ...big thank you, Q4 Team

Regards
Jack

q4osteam wrote:

Please run in terminal:
$ qrepolist
$ sudo apt-get update
$ sudo apt-get dist-upgrade
and attach output here to analyze.

Has anyone else noticed this issue ?

Offline

#13 2017-12-23 17:57

crosscourt
Member
Registered: 2017-05-07
Posts: 1,475

Re: Updater error in Scorpion

Dai's updater works great but Ive had zero issues with Synaptic. I use Synaptic with 20 other distros including MXLinux 17 which is also Debian based and still no issues.  I dont monkey with my system that much, but many of these distros are test distros thus I try to break them and so far no issues.

Offline

#14 2017-12-23 21:13

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

To give a bit more info -
This started in a HP Omni 100 all-in-one computer, which went bad. The hard drive was fine, so I transferred it into an Optiplex 380. Booted up with no problems and seems to be working great. I had installed Scorpion on the hard drive when it was in the HP, so, no it is not an upgrade. I guess there is a possibility that something was set in the HP that may be causing problems in the Dell, but kinda doubt it. Not sure what is going on, but like I said, I'll keep an eye on it and when (if) it happens again I'll get a screen shot and post it here. It really is not causing any problems (that I'm aware of), just something that I felt shouldn't be happening.

Offline

#15 2017-12-23 21:17

crosscourt
Member
Registered: 2017-05-07
Posts: 1,475

Re: Updater error in Scorpion

I swap hard drives between systems all the time and dont have issues.  Could be a memory issue, you could run a memtest to see if anything crops up.

Dell Optiplex 380 is a stable system but you never know as capacitor issues can happen with older systems, but honestly dont think thats the case.

Offline

#16 2017-12-28 20:15

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

Ok, new updater crash -

Offline

#17 2017-12-28 20:23

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

New updater error today -


Attachments:
png one_cut.png, Size: 38.91 KiB, Downloads: 43
png two_cut.png, Size: 72.87 KiB, Downloads: 50
png three.png, Size: 199.98 KiB, Downloads: 93

Offline

#18 2017-12-28 21:07

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Updater error in Scorpion

looking at the background it seems like the updates have all been applied before the updater crashed...

Offline

#19 2017-12-28 23:04

crosscourt
Member
Registered: 2017-05-07
Posts: 1,475

Re: Updater error in Scorpion

Agree Dai, how odd.  Makes me think file corruption issues and maybe memory problems just at face value.

Last edited by crosscourt (2017-12-28 23:15)

Offline

#20 2017-12-28 23:17

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

That is correct Dia.
The updates do seem to have finished before the crash. Kinda like it is crashing when it starts to report finished.
However, I have had times when it did not finish and I had to do them manually.
Most of the time it does finish before the error. But, there are also times when it finishes without error.
Like I said, not a big problem, but may confuse any newbies that run into it.

Offline

#21 2017-12-28 23:23

crosscourt
Member
Registered: 2017-05-07
Posts: 1,475

Re: Updater error in Scorpion

Does your system only crash when updating?  Has it crashed randomly or with other apps?

Offline

#22 2017-12-28 23:39

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

Actually it does not crash the system, just the updater app. Only other possible crash would be FireFox occasionally just shutting down when I go to different web pages (never noticed any specific web page that caused it). But no crash report from that happening, it just returns to the desktop and I have to restart FireFox. And it hasn't happened in the last few weeks.

Offline

#23 2017-12-29 00:05

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Updater error in Scorpion

Have you disabled automatic updates? if you are not sure you can type in a terminal (or copy/paste) this

grep Upgrade /etc/apt/apt.conf.d/20auto-upgrades

if it set to 0 it is off, and if it is a 1 then it is on, I think it might be caused by it trying to run during the update procedure

Offline

#24 2017-12-29 00:47

JimW
Member
Registered: 2015-12-08
Posts: 302

Re: Updater error in Scorpion

Set to "1" - so it is on. (as I thought)

Offline

#25 2017-12-29 00:50

Dai_trying
Member
From: UK
Registered: 2015-12-14
Posts: 2,366
Website

Re: Updater error in Scorpion

I would turn it off (set it to 0) and see if you still have errors.

Offline

Board footer

Powered by FluxBB